Interface for a class DateRangePicker
EmitType<BlurEventArgs>
Triggers when the control loses the focus.
Triggers when the Calendar value is changed.
Triggers when daterangepicker value is cleared using clear button.
EmitType<Object>
Triggers when the DateRangePicker is closed.
EmitType<Object>
Triggers when Calendar is created.
EmitType<Object>
Triggers when Calendar is destroyed.
EmitType<FocusEventArgs>
Triggers when the control gets focus.
Triggers when the Calendar is navigated to another view or within the same level of view.
EmitType<Object>
Triggers when the DateRangePicker is opened.
EmitType<RenderDayCellEventArgs>
Triggers when each day cell of the Calendar is rendered.
EmitType<Object>
Triggers on selecting the start and end date.
boolean
Support for
allowEdit
has been provided fromv16.2.46
. Specifies whether the input textbox is editable or not. Here the user can select the value from the popup and cannot edit in the input textbox.
string
Sets the root CSS class to the DateRangePicker which allows you to customize the appearance.
string
Specifies the format of the day that to be displayed in header. By default, the format is ‘short’. Possible formats are:
Short
- Sets the short format of day name (like Su ) in day header.Narrow
- Sets the single character of day name (like S ) in day header.Abbreviated
- Sets the min format of day name (like Sun ) in day header.Wide
- Sets the long format of day name (like Sunday ) in day header. string
Sets the maximum level of view (month, year, decade) in the Calendar. Depth view should be smaller than the start view to restrict its view navigation.
boolean
Enable or disable the persisting component’s state between the page reloads. If enabled, following list of states will be persisted.
boolean
Enable or disable rendering component in right to left direction.
boolean
Specifies the component to be disabled which prevents the DateRangePicker from user interactions.
Date
Gets or sets the end date of the date range selection.
number
Gets or sets the Calendar’s first day of the week. By default, the first day of the week will be based on the current culture.
For more details about firstDayOfWeek refer to
First day of week
documentation.
FloatLabelType
| string
Specifies the placeholder text to be floated. Possible values are: Never: The label will never float in the input when the placeholder is available. Always: The floating label will always float above the input. Auto: The floating label will float above the input after focusing or entering a value in the input.
string
| RangeFormatObject
Sets or gets the required date format to the start and end date string.
For more details refer to
Format
sample.
Object
You can add the additional html attributes such as disabled, value etc., to the element. If you configured both property and equivalent html attribute then the component considers the property value.
<input id="daterangepicker" type="text">
import { DateRangePicker } from '@syncfusion/ej2-calendars';
let daterangepicker: DateRangePicker = new DateRangePicker({
htmlAttributes: { name: "range", placeholder:"Choose a range" }
});
daterangepicker.appendTo('#daterangepicker');
Object
Customizes the key actions in DateRangePicker. For example, when using German keyboard, the key actions can be customized using these shortcuts. Input Navigation
Key action |
Key |
altUpArrow |
alt+uparrow |
altDownArrow |
alt+downarrow |
escape |
escape |
Calendar Navigation (Use the following list of keys to navigate the currently focused Calendar after the popup has opened).
Key action |
Key |
controlUp |
ctrl+38 |
controlDown |
ctrl+40 |
moveDown |
downarrow |
pageUp |
pageup |
pageDown |
pagedown |
shiftPageUp |
shift+pageup |
shiftPageDown |
shift+pagedown |
moveUp |
uparrow |
moveLeft |
leftarrow |
moveRight |
rightarrow |
select |
enter |
home |
home |
end |
end |
controlHome |
ctrl+home |
controlEnd |
ctrl+end |
altUpArrow |
alt+uparrow |
spacebar |
space |
enter |
enter |
altRightArrow |
alt+rightarrow |
altLeftArrow |
alt+leftarrow |
<input id="daterangepicker" type="text">
import { DateRangePicker } from '@syncfusion/ej2-calendars';
let daterangepicker: DateRangePicker = new DateRangePicker({
keyConfigs: {
select: "space",
home: "ctrl+home",
end: "ctrl+end"
}
});
daterangepicker.appendTo('#daterangepicker');
string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
Date
Gets or sets the maximum date that can be selected in the calendar-popup.
number
Specifies the maximum span of days that can be allowed in a date range selection.
For more details refer to
Range Span
documentation.
Date
Gets or sets the minimum date that can be selected in the calendar-popup.
number
Specifies the minimum span of days that can be allowed in date range selection.
For more details refer to
Range Span
documentation.
boolean
By default, the popup opens while clicking on the daterangepicker icon. If you want to open the popup while focusing the daterange input then specify its value as true.
string
Specifies the placeholder text that need to be displayed in the DateRangePicker component.
Set the predefined ranges which let the user pick required range easily in a component.
For more details refer to
Preset Ranges
documentation.
<input id="daterangepicker" type="text">
import { DateRangePicker } from '@syncfusion/ej2-calendars';
let daterangepicker: DateRangePicker = new DateRangePicker({
presets: [
{ label: 'Today', start: new Date(), end: new Date() },
{ label: 'This Month', start: new Date(new Date().setDate(1)), end: new Date() }
]
});
daterangepicker.appendTo('#daterangepicker');
boolean
Denies the editing the ranges in the DateRangePicker component.
string
Sets or gets the string that used between the start and end date string.
number
By default, the date value will be processed based on system time zone.
If you want to process the initial date value using server time zone
then specify the time zone value to serverTimezoneOffset
property.
boolean
Specifies whether to show or hide the clear icon
string
Specifies the initial view of the Calendar when it is opened. With the help of this property, initial view can be changed to year or decade view.
Date
Gets or sets the start date of the date range selection.
boolean
Specifies the component to act as strict which allows entering only a valid date range in a DateRangePicker.
For more details refer to
Strict Mode
documentation.
Date[]
| DateRange
Gets or sets the start and end date of the Calendar.
<input id="daterangepicker" type="text">
import { DateRangePicker } from '@syncfusion/ej2-calendars';
let daterangepicker: DateRangePicker = new DateRangePicker({
value:[new Date(), new Date("12/12/2019")]
});
daterangepicker.appendTo('#daterangepicker');
boolean
Determines whether the week number of the Calendar is to be displayed or not. The week number is displayed in every week row.
For more details about weekNumber refer to
Calendar with week number
documentation.
number
| string
Specifies the width of the DateRangePicker component.
number
specifies the z-index value of the dateRangePicker popup element.

DateRangePickerModel
23 Sep 20257 minutes to read
Interface for a class DateRangePicker
Properties
blur EmitType<BlurEventArgs>
Triggers when the control loses the focus.
change EmitType<RangeEventArgs>
Triggers when the Calendar value is changed.
cleared EmitType<ClearedEventArgs>
Triggers when daterangepicker value is cleared using clear button.
close EmitType<Object>
Triggers when the DateRangePicker is closed.
created EmitType<Object>
Triggers when Calendar is created.
destroyed EmitType<Object>
Triggers when Calendar is destroyed.
focus EmitType<FocusEventArgs>
Triggers when the control gets focus.
navigated EmitType<NavigatedEventArgs>
Triggers when the Calendar is navigated to another view or within the same level of view.
open EmitType<Object>
Triggers when the DateRangePicker is opened.
renderDayCell EmitType<RenderDayCellEventArgs>
Triggers when each day cell of the Calendar is rendered.
select EmitType<Object>
Triggers on selecting the start and end date.
allowEdit boolean
Support for
allowEdithas been provided from
v16.2.46.
Specifies whether the input textbox is editable or not. Here the user can select the value from the
popup and cannot edit in the input textbox.
cssClass string
Sets the root CSS class to the DateRangePicker which allows you to customize the appearance.
dayHeaderFormat DayHeaderFormats
Specifies the format of the day that to be displayed in header. By default, the format is ‘short’.
Possible formats are:
-
Short- Sets the short format of day name (like Su ) in day header. -
Narrow- Sets the single character of day name (like S ) in day header. -
Abbreviated- Sets the min format of day name (like Sun ) in day header. -
Wide- Sets the long format of day name (like Sunday ) in day header.
depth CalendarView
Sets the maximum level of view (month, year, decade) in the Calendar.
Depth view should be smaller than the start view to restrict its view navigation.
enablePersistence boolean
Enable or disable the persisting component’s state between the page reloads. If enabled, following list of states will be persisted.
- startDate
- endDate
- value
enableRtl boolean
Enable or disable rendering component in right to left direction.
enabled boolean
Specifies the component to be disabled which prevents the DateRangePicker from user interactions.
endDate Date
Gets or sets the end date of the date range selection.
firstDayOfWeek number
Gets or sets the Calendar’s first day of the week. By default, the first day of the week will be based on the current culture.
For more details about firstDayOfWeek refer to
First day of weekdocumentation.
floatLabelType FloatLabelType|string
Specifies the placeholder text to be floated.
Possible values are:
Never: The label will never float in the input when the placeholder is available.
Always: The floating label will always float above the input.
Auto: The floating label will float above the input after focusing or entering a value in the input.
format string|RangeFormatObject
Sets or gets the required date format to the start and end date string.
For more details refer to
Formatsample.
fullScreenMode boolean
Specifies the component popup display full screen in mobile devices.
htmlAttributes { : }
You can add the additional html attributes such as disabled, value etc., to the element.
If you configured both property and equivalent html attribute then the component considers the property value.
<template>
<ejs-daterangepicker :htmlAttributes="htmlAttributes"></ejs-daterangepicker>
</template>
<script>
import Vue from "vue";
import { DateRangePickerPlugin } from "@syncfusion/ej2-vue-calendars";
Vue.use(DateRangePickerPlugin);
export default {
data() {
return {
htmlAttributes: { name: "range", placeholder:"Choose a range" }
};
}
};
</script>inputFormats string[]|RangeFormatObject[]
Specifies an array of acceptable date input formats for parsing user input.
keyConfigs { : }
Customizes the key actions in DateRangePicker.
For example, when using German keyboard, the key actions can be customized using these shortcuts.
Input Navigation
|
Key action |
Key |
|
altUpArrow |
alt+uparrow |
|
altDownArrow |
alt+downarrow |
|
escape |
escape |
Calendar Navigation (Use the following list of keys to navigate the currently focused Calendar after the popup has opened).
|
Key action |
Key |
|
controlUp |
ctrl+38 |
|
controlDown |
ctrl+40 |
|
moveDown |
downarrow |
pageUp |
pageup | </tr>
|
pageDown |
pagedown |
|
shiftPageUp |
shift+pageup |
|
shiftPageDown |
shift+pagedown |
|
moveUp |
uparrow |
|
moveLeft |
leftarrow |
|
moveRight |
rightarrow |
|
select |
enter |
|
home |
home |
|
end |
end |
|
controlHome |
ctrl+home |
|
controlEnd |
ctrl+end |
|
altUpArrow |
alt+uparrow |
|
spacebar |
space |
|
enter |
enter |
|
altRightArrow |
alt+rightarrow |
|
altLeftArrow |
alt+leftarrow |

- Properties
- blur EmitType<BlurEventArgs>
- change EmitType<RangeEventArgs>
- cleared EmitType<ClearedEventArgs>
- close EmitType<Object>
- created EmitType<Object>
- destroyed EmitType<Object>
- focus EmitType<FocusEventArgs>
- navigated EmitType<NavigatedEventArgs>
- open EmitType<Object>
- renderDayCell EmitType<RenderDayCellEventArgs>
- select EmitType<Object>
- allowEdit boolean
- cssClass string
- dayHeaderFormat DayHeaderFormats
- depth CalendarView
- enablePersistence boolean
- enableRtl boolean
- enabled boolean
- endDate Date
- firstDayOfWeek number
- floatLabelType FloatLabelType|string
- format string|RangeFormatObject
- fullScreenMode boolean
- htmlAttributes { : }
- inputFormats string[]|RangeFormatObject[]
- keyConfigs { : }
- locale string
- max Date
- maxDays number
- min Date
- minDays number
- openOnFocus boolean
- placeholder string
- presets PresetsModel[]
- readonly boolean
- separator string
- serverTimezoneOffset number
- showClearButton boolean
- start CalendarView
- startDate Date
- strictMode boolean
- value Date[]|DateRange
- weekNumber boolean
- weekRule WeekRule
- width number|string
- zIndex number
Contact Support
DateRangePickerModel
23 Sep 20257 minutes to read
Interface for a class DateRangePicker
Properties
blur EmitType<BlurEventArgs>
Triggers when the control loses the focus.
change EmitType<RangeEventArgs>
Triggers when the Calendar value is changed.
cleared EmitType<ClearedEventArgs>
Triggers when daterangepicker value is cleared using clear button.
close EmitType<Object>
Triggers when the DateRangePicker is closed.
created EmitType<Object>
Triggers when Calendar is created.
destroyed EmitType<Object>
Triggers when Calendar is destroyed.
focus EmitType<FocusEventArgs>
Triggers when the control gets focus.
navigated EmitType<NavigatedEventArgs>
Triggers when the Calendar is navigated to another view or within the same level of view.
open EmitType<Object>
Triggers when the DateRangePicker is opened.
renderDayCell EmitType<RenderDayCellEventArgs>
Triggers when each day cell of the Calendar is rendered.
select EmitType<Object>
Triggers on selecting the start and end date.
allowEdit boolean
Support for
allowEdithas been provided from
v16.2.46.
Specifies whether the input textbox is editable or not. Here the user can select the value from the
popup and cannot edit in the input textbox.
cssClass string
Sets the root CSS class to the DateRangePicker which allows you to customize the appearance.
dayHeaderFormat DayHeaderFormats
Specifies the format of the day that to be displayed in header. By default, the format is ‘short’.
Possible formats are:
-
Short- Sets the short format of day name (like Su ) in day header. -
Narrow- Sets the single character of day name (like S ) in day header. -
Abbreviated- Sets the min format of day name (like Sun ) in day header. -
Wide- Sets the long format of day name (like Sunday ) in day header.
depth CalendarView
Sets the maximum level of view (month, year, decade) in the Calendar.
Depth view should be smaller than the start view to restrict its view navigation.
enablePersistence boolean
Enable or disable the persisting component’s state between the page reloads. If enabled, following list of states will be persisted.
- startDate
- endDate
- value
enableRtl boolean
Enable or disable rendering component in right to left direction.
enabled boolean
Specifies the component to be disabled which prevents the DateRangePicker from user interactions.
endDate Date
Gets or sets the end date of the date range selection.
firstDayOfWeek number
Gets or sets the Calendar’s first day of the week. By default, the first day of the week will be based on the current culture.
For more details about firstDayOfWeek refer to
First day of weekdocumentation.
floatLabelType FloatLabelType|string
Specifies the placeholder text to be floated.
Possible values are:
Never: The label will never float in the input when the placeholder is available.
Always: The floating label will always float above the input.
Auto: The floating label will float above the input after focusing or entering a value in the input.
format string|RangeFormatObject
Sets or gets the required date format to the start and end date string.
For more details refer to
Formatsample.
fullScreenMode boolean
Specifies the component popup display full screen in mobile devices.
htmlAttributes { : }
You can add the additional html attributes such as disabled, value etc., to the element.
If you configured both property and equivalent html attribute then the component considers the property value.
<ejs-daterangepicker [htmlAttributes]="htmlAttributes"></ejs-daterangepicker>import { Component, ViewEncapsulation } from '@angular/core';
@Component({
selector: 'app-root',
styleUrls: ['app.component.css'],
templateUrl: 'app.component.html',
encapsulation: ViewEncapsulation.None
})
export class AppComponent {
constructor() { }
public htmlAttributes = { name: "range", placeholder:"Choose a range" };
}inputFormats string[]|RangeFormatObject[]
Specifies an array of acceptable date input formats for parsing user input.
keyConfigs { : }
Customizes the key actions in DateRangePicker.
For example, when using German keyboard, the key actions can be customized using these shortcuts.
Input Navigation
|
Key action |
Key |
|
altUpArrow |
alt+uparrow |
|
altDownArrow |
alt+downarrow |
|
escape |
escape |
Calendar Navigation (Use the following list of keys to navigate the currently focused Calendar after the popup has opened).
</tr> </table> ```html <ejs-daterangepicker [keyConfigs]="keyConfigs"></ejs-daterangepicker> ``` ```ts import { Component, ViewEncapsulation } from '@angular/core'; @Component({ selector: 'app-root', styleUrls: ['app.component.css'], templateUrl: 'app.component.html', encapsulation: ViewEncapsulation.None }) export class AppComponent { constructor() { } public keyConfigs ={ select: "space", home: "ctrl+home", end: "ctrl+end" }; } ```locale string
Overrides the global culture and localization value for this component. Default global culture is 'en-US'.max Date
Gets or sets the maximum date that can be selected in the calendar-popup.maxDays number
Specifies the maximum span of days that can be allowed in a date range selection. > For more details refer to [`Range Span`](../../daterangepicker/range-restriction/#range-span) documentation.min Date
Gets or sets the minimum date that can be selected in the calendar-popup.minDays number
Specifies the minimum span of days that can be allowed in date range selection. > For more details refer to [`Range Span`](../../daterangepicker/range-restriction/#range-span) documentation.openOnFocus boolean
By default, the popup opens while clicking on the daterangepicker icon. If you want to open the popup while focusing the daterange input then specify its value as true.placeholder string
Specifies the placeholder text that need to be displayed in the DateRangePicker component.presets PresetsModel[]
Set the predefined ranges which let the user pick required range easily in a component. > For more details refer to [`Preset Ranges`](../../daterangepicker/customization#preset-ranges) documentation. ```html <ejs-daterangepicker [presets]="presets"></ejs-daterangepicker> ``` ```ts import { Component, ViewEncapsulation } from '@angular/core'; @Component({ selector: 'app-root', styleUrls: ['app.component.css'], templateUrl: 'app.component.html', encapsulation: ViewEncapsulation.None }) export class AppComponent { constructor() { } public presets = [ { label: 'Today', start: new Date(), end: new Date() }, { label: 'This Month', start: new Date(new Date().setDate(1)), end: new Date() } ]; } ```readonly boolean
Denies the editing the ranges in the DateRangePicker component.separator string
Sets or gets the string that used between the start and end date string.serverTimezoneOffset number
By default, the date value will be processed based on system time zone. If you want to process the initial date value using server time zone then specify the time zone value to `serverTimezoneOffset` property.showClearButton boolean
Specifies whether to show or hide the clear iconstart CalendarView
Specifies the initial view of the Calendar when it is opened. With the help of this property, initial view can be changed to year or decade view.startDate Date
Gets or sets the start date of the date range selection.strictMode boolean
Specifies the component to act as strict which allows entering only a valid date range in a DateRangePicker. > For more details refer to [`Strict Mode`](../../daterangepicker/range-restriction#strict-mode)documentation.value Date[]|DateRange
Gets or sets the start and end date of the Calendar. ```html <ejs-daterangepicker [value]="value"></ejs-daterangepicker> ``` ```ts import { Component, ViewEncapsulation } from '@angular/core'; @Component({ selector: 'app-root', styleUrls: ['app.component.css'], templateUrl: 'app.component.html', encapsulation: ViewEncapsulation.None }) export class AppComponent { constructor() { } public value = [new Date(), new Date("12/12/2019")]; } ```weekNumber boolean
Determines whether the week number of the Calendar is to be displayed or not. The week number is displayed in every week row. > For more details about weekNumber refer to [`Calendar with week number`](../../calendar/how-to/render-the-calendar-with-week-numbers)documentation.weekRule WeekRule
Specifies the rule for defining the first week of the year.width number|string
Specifies the width of the DateRangePicker component.zIndex number
specifies the z-index value of the dateRangePicker popup element.|
Key action |
Key |
|
controlUp |
ctrl+38 |
|
controlDown |
ctrl+40 |
|
moveDown |
downarrow |
|
pageUp |
pageup |
|
pageDown |
pagedown |
|
shiftPageUp |
shift+pageup |
|
shiftPageDown |
shift+pagedown |
|
moveUp |
uparrow |
|
moveLeft |
leftarrow |
|
moveRight |
rightarrow |
|
select |
enter |
|
home |
home |
|
end |
end |
|
controlHome |
ctrl+home |
|
controlEnd |
ctrl+end |
|
altUpArrow |
alt+uparrow |
|
spacebar |
space |
|
enter |
enter |
|
altRightArrow |
alt+rightarrow |
|
altLeftArrow |
alt+leftarrow |

DateRangePickerModel
23 Sep 20257 minutes to read
Interface for a class DateRangePicker
Properties
blur EmitType<BlurEventArgs>
Triggers when the control loses the focus.
change EmitType<RangeEventArgs>
Triggers when the Calendar value is changed.
cleared EmitType<ClearedEventArgs>
Triggers when daterangepicker value is cleared using clear button.
close EmitType<Object>
Triggers when the DateRangePicker is closed.
created EmitType<Object>
Triggers when Calendar is created.
destroyed EmitType<Object>
Triggers when Calendar is destroyed.
focus EmitType<FocusEventArgs>
Triggers when the control gets focus.
navigated EmitType<NavigatedEventArgs>
Triggers when the Calendar is navigated to another view or within the same level of view.
open EmitType<Object>
Triggers when the DateRangePicker is opened.
renderDayCell EmitType<RenderDayCellEventArgs>
Triggers when each day cell of the Calendar is rendered.
select EmitType<Object>
Triggers on selecting the start and end date.
allowEdit boolean
Support for
allowEdithas been provided from
v16.2.46.
Specifies whether the input textbox is editable or not. Here the user can select the value from the
popup and cannot edit in the input textbox.
cssClass string
Sets the root CSS class to the DateRangePicker which allows you to customize the appearance.
dayHeaderFormat DayHeaderFormats
Specifies the format of the day that to be displayed in header. By default, the format is ‘short’.
Possible formats are:
-
Short- Sets the short format of day name (like Su ) in day header. -
Narrow- Sets the single character of day name (like S ) in day header. -
Abbreviated- Sets the min format of day name (like Sun ) in day header. -
Wide- Sets the long format of day name (like Sunday ) in day header.
depth CalendarView
Sets the maximum level of view (month, year, decade) in the Calendar.
Depth view should be smaller than the start view to restrict its view navigation.
enablePersistence boolean
Enable or disable the persisting component’s state between the page reloads. If enabled, following list of states will be persisted.
- startDate
- endDate
- value
enableRtl boolean
Enable or disable rendering component in right to left direction.
enabled boolean
Specifies the component to be disabled which prevents the DateRangePicker from user interactions.
endDate Date
Gets or sets the end date of the date range selection.
firstDayOfWeek number
Gets or sets the Calendar’s first day of the week. By default, the first day of the week will be based on the current culture.
For more details about firstDayOfWeek refer to
First day of weekdocumentation.
floatLabelType FloatLabelType|string
Specifies the placeholder text to be floated.
Possible values are:
Never: The label will never float in the input when the placeholder is available.
Always: The floating label will always float above the input.
Auto: The floating label will float above the input after focusing or entering a value in the input.
format string|RangeFormatObject
Sets or gets the required date format to the start and end date string.
For more details refer to
Formatsample.
fullScreenMode boolean
Specifies the component popup display full screen in mobile devices.
htmlAttributes { : }
You can add the additional html attributes such as disabled, value etc., to the element.
If you configured both property and equivalent html attribute then the component considers the property value.
import './App.css';
import * as React from 'react';
import { DateRangePickerComponent } from '@syncfusion/ej2-react-calendars';
class App extends React.Component {
public htmlAttributes = { name: "range", placeholder:"Choose a range" };
public render() {
return (<DateRangePickerComponent htmlAttributes={this.htmlAttributes} />);
}
}
export default App;
inputFormats string[]|RangeFormatObject[]
Specifies an array of acceptable date input formats for parsing user input.
keyConfigs { : }
Customizes the key actions in DateRangePicker.
For example, when using German keyboard, the key actions can be customized using these shortcuts.
Input Navigation
|
Key action |
Key |
|
altUpArrow |
alt+uparrow |
|
altDownArrow |
alt+downarrow |
|
escape |
escape |
Calendar Navigation (Use the following list of keys to navigate the currently focused Calendar after the popup has opened).
|
Key action |
Key |
|
controlUp |
ctrl+38 |
|
controlDown |
ctrl+40 |
|
moveDown |
downarrow |
pageUp |
pageup | </tr>
|
pageDown |
pagedown |
|
shiftPageUp |
shift+pageup |
|
shiftPageDown |
shift+pagedown |
|
moveUp |
uparrow |
|
moveLeft |
leftarrow |
|
moveRight |
rightarrow |
|
select |
enter |
|
home |
home |
|
end |
end |
|
controlHome |
ctrl+home |
|
controlEnd |
ctrl+end |
|
altUpArrow |
alt+uparrow |
|
spacebar |
space |
|
enter |
enter |
|
altRightArrow |
alt+rightarrow |
|
altLeftArrow |
alt+leftarrow |